ADAM_2.12: CLI 0.35.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package cli
  Definition Classes
    adam
- ADAM2Fastq
- ADAM2FastqArgs
- ADAMMain
- ADAMModule
- About
- CommandGroup
- CountReadKmers
- CountReadKmersArgs
- CountSliceKmers
- CountSliceKmersArgs
- Coverage
- CoverageArgs
- FlagStat
- FlagStatArgs
- MergeShards
- MergeShardsArgs
- PrintADAM
- PrintADAMArgs
- TransformAlignments
- TransformAlignmentsArgs
- TransformFeatures
- TransformFeaturesArgs
- TransformFragments
- TransformFragmentsArgs
- TransformGenotypes
- TransformGenotypesArgs
- TransformSequences
- TransformSequencesArgs
- TransformSlices
- TransformSlicesArgs
- TransformVariants
- TransformVariantsArgs
- View
- ViewArgs

c

org.bdgenomics.adam.cli

# ViewArgs 

###

#### class ViewArgs extends Args4jBase with ParquetArgs with ADAMSaveAnyArgs with CramArgs

Linear Supertypes
CramArgs, ADAMSaveAnyArgs, SaveArgs, ParquetArgs, ParquetRDDArgs, Args4jBase, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ViewArgs
2. CramArgs
3. ADAMSaveAnyArgs
4. SaveArgs
5. ParquetArgs
6. ParquetRDDArgs
7. Args4jBase
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new ViewArgs()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  var asSingleFile: Boolean
   Definition Classes
     ViewArgs → ADAMSaveAnyArgs
6.  val blockSize: Int
   Definition Classes
     ParquetArgs → ParquetRDDArgs
   Annotations
     @Option()
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
8.  val compressionCodec: CompressionCodecName
   Definition Classes
     ParquetArgs → ParquetRDDArgs
   Annotations
     @Option()
9.  def configureCramFormat(sc: SparkContext): Option[Unit]

   Configure CRAM format.

   Configure CRAM format.

   sc

     Spark context to configure

   Definition Classes
     CramArgs
10.  val cramReference: String
    Definition Classes
      CramArgs
    Annotations
      @Option()
11.  var deferMerging: Boolean
    Definition Classes
      ViewArgs → ADAMSaveAnyArgs
12.  val disableDictionaryEncoding: Boolean
    Definition Classes
      ParquetArgs → ParquetRDDArgs
    Annotations
      @Option()
13.  var disableFastConcat: Boolean
    Definition Classes
      ViewArgs → ADAMSaveAnyArgs
14.  var doPrintUsage: Boolean
    Definition Classes
      Args4jBase
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
17.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
18.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
19.  var inputPath: String
20.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
21.  val logLevel: String
    Definition Classes
      ParquetArgs
    Annotations
      @Option()
22.  var matchAllBits: Int
23.  var matchSomeBits: Int
24.  var mismatchAllBits: Int
25.  var mismatchSomeBits: Int
26.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
27.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
28.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
29.  var outputPath: String
    Definition Classes
      ViewArgs → SaveArgs
30.  var outputPathArg: String
31.  val pageSize: Int
    Definition Classes
      ParquetArgs → ParquetRDDArgs
    Annotations
      @Option()
32.  var printCount: Boolean
33.  var sortFastqOutput: Boolean
    Definition Classes
      ViewArgs → ADAMSaveAnyArgs
34.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
35.  def toString(): String
    Definition Classes
      AnyRef → Any
36.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
37.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
38.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

### Inherited from CramArgs

### Inherited from ADAMSaveAnyArgs

### Inherited from SaveArgs

### Inherited from ParquetArgs

### Inherited from ParquetRDDArgs

### Inherited from Args4jBase

### Inherited from AnyRef

### Inherited from Any

### Ungrouped